diff --git a/ext/toolchain/commands1.py b/ext/toolchain/commands1.py
index f32ec48..ee1c388 100644
--- a/ext/toolchain/commands1.py
+++ b/ext/toolchain/commands1.py
@@ -779,7 +779,7 @@ class InternalCommands:
 				frameworkRootDir = "/Library/Frameworks"
 			else:
 				# TODO: auto-detect, qt can now be installed anywhere.
-				frameworkRootDir = "/Developer/Qt5.2.1/5.2.1/clang_64/lib"
+				frameworkRootDir = "/opt/local/libexec/qt5/lib"
 
 			target = bundleTargetDir + "/Contents/Frameworks"
 
@@ -787,9 +787,12 @@ class InternalCommands:
 			for root, dirs, files in os.walk(target):
 				for dir in dirs:
 					if dir.startswith("Qt"):
-						shutil.copy(
-							frameworkRootDir + "/" + dir + "/Contents/Info.plist",
-							target + "/" + dir + "/Resources/")
+                                                try:
+						        shutil.copy(
+							        frameworkRootDir + "/" + dir + "/Versions/5/Resources/Info.plist",
+							        target + "/" + dir + "/Resources/")
+                                                except:
+                                                        pass
 
 	def symlink(self, source, target):
 		if not os.path.exists(target):
@@ -821,17 +824,20 @@ class InternalCommands:
 				for root, dirs, files in os.walk(target):
 					for dir in dirs:
 						if dir.startswith("Qt"):
-							self.try_chdir(target + "/" + dir +"/Versions")
-							self.symlink("5", "Current")
-							self.move("../Resources", "5")
-							self.restore_chdir()
-
-							self.try_chdir(target + "/" + dir)
-							dot = dir.find('.')
-							frameworkName = dir[:dot]
-							self.symlink("Versions/Current/" + frameworkName, frameworkName)
-							self.symlink("Versions/Current/Resources", "Resources")
-							self.restore_chdir()
+                                                        try:
+							        self.try_chdir(target + "/" + dir +"/Versions")
+							        self.symlink("5", "Current")
+							        self.move("../Resources", "5")
+							        self.restore_chdir()
+
+							        self.try_chdir(target + "/" + dir)
+							        dot = dir.find('.')
+							        frameworkName = dir[:dot]
+							        self.symlink("Versions/Current/" + frameworkName, frameworkName)
+							        self.symlink("Versions/Current/Resources", "Resources")
+							        self.restore_chdir()
+                                                        except:
+                                                                pass
 
 	def signmac(self):
 		self.loadConfig()
diff --git a/src/gui/src/AppConfig.cpp b/src/gui/src/AppConfig.cpp
index e6d15e6..e226b86 100644
--- a/src/gui/src/AppConfig.cpp
+++ b/src/gui/src/AppConfig.cpp
@@ -286,7 +286,7 @@ void AppConfig::setCryptoEnabled(bool e) {
 }
 
 bool AppConfig::getCryptoEnabled() const {
-	return (edition() == kPro) && m_CryptoEnabled;
+	return m_CryptoEnabled;
 }
 
 void AppConfig::setAutoHide(bool b) { m_AutoHide = b; }
diff --git a/src/gui/src/LicenseManager.cpp b/src/gui/src/LicenseManager.cpp
index 6f76113..f001d03 100644
--- a/src/gui/src/LicenseManager.cpp
+++ b/src/gui/src/LicenseManager.cpp
@@ -138,7 +138,6 @@ LicenseManager::getEditionName(Edition const edition, bool trial)
 	std::string name ("Synergy");
 	switch (edition) {
 		case kUnregistered:
-			name += " (UNREGISTERED)";
 			return QString::fromUtf8 (name.c_str(), name.size());
 		case kBasic:
 			name += " Basic";
diff --git a/src/gui/src/SettingsDialog.cpp b/src/gui/src/SettingsDialog.cpp
index ddbeae4..a82c818 100644
--- a/src/gui/src/SettingsDialog.cpp
+++ b/src/gui/src/SettingsDialog.cpp
@@ -2,11 +2,11 @@
  * synergy -- mouse and keyboard sharing utility
  * Copyright (C) 2012-2016 Symless Ltd.
  * Copyright (C) 2008 Volker Lanz (vl@fidra.de)
- * 
+ *
  * This package is free software; you can redistribute it and/or
  * modify it under the terms of the GNU General Public License
  * found in the file LICENSE that should have accompanied this file.
- * 
+ *
  * This package is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
@@ -64,7 +64,7 @@ SettingsDialog::SettingsDialog(QWidget* parent, AppConfig& config) :
 #endif
 
 	m_pCheckBoxEnableCrypto->setChecked(m_appConfig.getCryptoEnabled());
-	m_pCheckBoxEnableCrypto->setEnabled(m_appConfig.edition() == kPro);
+	m_pCheckBoxEnableCrypto->setEnabled(true);
 }
 
 void SettingsDialog::accept()
